Imports System.Data
Imports System.Data.OleDb
Public Class frmAuthors
  Dim BooksConnection As OleDbConnection
  Dim AuthorsCommand As OleDbCommand
  Dim AuthorsAdapter As OleDbDataAdapter
  Dim AuthorsTable As DataTable
  Dim AuthorsManager As CurrencyManager


  Private Sub frmAuthors_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'connect to books database
    BooksConnection = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = c:\VB2005DB\Working\books.mdb")
    BooksConnection.Open()
    'establish command object
    AuthorsCommand = New OleDbCommand("Select * from Authors ORDER BY Author", BooksConnection)
    'establish data adapter/data table
    AuthorsAdapter = New OleDbDataAdapter()
    AuthorsAdapter.SelectCommand = AuthorsCommand
    AuthorsTable = New DataTable()
    AuthorsAdapter.Fill(AuthorsTable)
    'bind controls to data table
    txtAuthorID.DataBindings.Add("Text", AuthorsTable, "Au_ID")
    txtAuthorName.DataBindings.Add("Text", AuthorsTable, "Author")
    txtYearBorn.DataBindings.Add("Text", AuthorsTable, "Year_Born")
    'establish currency manager
    AuthorsManager = DirectCast(Me.BindingContext(AuthorsTable), CurrencyManager)
  End Sub
  Private Sub frmAuthors_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
    'close the connection
    BooksConnection.Close()
    'dispose of the objects
    BooksConnection.Dispose()
    AuthorsCommand.Dispose()
    AuthorsAdapter.Dispose()
    AuthorsTable.Dispose()
  End Sub
  Private Sub btnPrevious_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrevious.Click
    AuthorsManager.Position -= 1
  End Sub

  Private Sub btnNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNext.Click
    AuthorsManager.Position += 1
  End Sub

End Class
